# Uses of Class
org.eclipse.core.runtime.MultiStatus

Packages that use MultiStatus
Package
Description
org.eclipse.core.runtime.jobs
Provides core support for scheduling and interacting with background activity.
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.search.core.text
Classes giving access to the file (text) search functionality.

## Uses of MultiStatus in org.eclipse.core.runtime.jobs

Methods in org.eclipse.core.runtime.jobs that return MultiStatus
Modifier and Type
Method
Description
`protected MultiStatus`
JobGroup.`computeGroupResult(List<IStatus> jobResults)`
This method is called by the JobManager when all the jobs belonging to the group are completed.
`final MultiStatus`
JobGroup.`getResult()`
Returns the result of this job group's last run.

## Uses of MultiStatus in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations with parameters of type MultiStatus
Modifier and Type
Method
Description
`protected void`
InstallOperation.`computeProfileChangeRequest(MultiStatus status, IProgressMonitor monitor)`
`protected abstract void`
ProfileChangeOperation.`computeProfileChangeRequest(MultiStatus status, IProgressMonitor monitor)`
Compute the profile change request for this operation, adding any relevant intermediate status to the supplied status.
`protected void`
RemediationOperation.`computeProfileChangeRequest(MultiStatus status, IProgressMonitor monitor)`
`protected void`
SynchronizeOperation.`computeProfileChangeRequest(MultiStatus status, IProgressMonitor monitor)`
`protected void`
UninstallOperation.`computeProfileChangeRequest(MultiStatus status, IProgressMonitor monitor)`
`protected void`
UpdateOperation.`computeProfileChangeRequest(MultiStatus status, IProgressMonitor monitor)`

## Uses of MultiStatus in org.eclipse.search.core.text

Methods in org.eclipse.search.core.text with parameters of type MultiStatus
Modifier and Type
Method
Description
`IFile[]`
TextSearchScope.`evaluateFilesInScope(MultiStatus status)`
Evaluates all files in this scope.